Large images on image description pages are being sent original-size
Closed, ResolvedPublic

Description

Author: dbenbenn

Description:
The image description page for [[Image:Map of Colorado highlighting Huerfano
County.png]], for example, shows the original 6711x4876 image, instead of a
thumbnail. This gobbles bandwidth, and makes image description pages completely
unusable for those of use with limited computer memory.


Version: 1.6.x
Severity: minor
URL: http://commons.wikimedia.org/wiki/Image:Map_of_Colorado_highlighting_Huerfano_County.png

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz3771.
bzimport created this task.Via LegacyOct 21 2005, 4:49 PM
Nikerabbit added a comment.Via ConduitOct 21 2005, 4:56 PM

[Wikitech-l] Images greater than 12.5 megapixels can't be thumbnailed
http://mail.wikipedia.org/pipermail/wikitech-l/2005-October/032030.html

bzimport added a comment.Via ConduitOct 21 2005, 6:07 PM

dbenbenn wrote:

Ah, thanks! I think that image description pages should still use the old
thumbnail link, even if the thumbnail won't get generated. If the thumbnail
already exists, then the page will display fine. And even if it doesn't, the
user can always click on the "download high resolution" link, but won't be
forced to download the huge image.

Note that this is what categories do, for example
http://commons.wikimedia.org/wiki/Category:Colorado_county_locator_maps

bzimport added a comment.Via ConduitOct 21 2005, 9:06 PM

rowan.collins wrote:

Perhaps a special text link as a placeholder could be used, as in "This is a
very large image which can't be thumbnailed. Click here to view the full-size
version".

But is the 12.5 megapixel thing really the problem here? By the looks of it,
these are SVGs, and should be thumbnailable really easily - the "S" stands for
"Scalable", after all. Oh, wait, you replaced them since reporting this bug. Any
chance of finding another example so we can see the behaviour in action?

bzimport added a comment.Via ConduitOct 21 2005, 9:24 PM

dbenbenn wrote:

http://commons.wikimedia.org/wiki/Category:Colorado_national_forest_maps is
another example, which should stick around for at least a week or so (though
eventually I'll be converting those to SVG, too).

Text as placeholder sounds like a good idea.

bzimport added a comment.Via ConduitOct 21 2005, 9:29 PM

dbenbenn wrote:

Another problem with the current behavior is that, when a thumbnail of a large
image is used in an article, it appears as a red link. So people come along and
remove the "deleted" image. See
http://en.wikipedia.org/w/index.php?title=Arapaho_National_Forest&diff=26069808&oldid=25698758
for example. A blue link to the image description page would be much more useful.

bzimport added a comment.Via ConduitNov 3 2005, 12:59 PM

avarab wrote:

Not a critical issue, bumping to minor

bzimport added a comment.Via ConduitSep 9 2006, 12:09 AM

wclark wrote:

The original problem (large PNGs causing ImageMagick to eat up too much RAM) can
be fixed with a few command-line options:

http://studio.imagemagick.org/pipermail/magick-developers/2002-December/001206.html

I'll try to test this when I get a chance, to see if it really works as
advertised. It would be nice if the size restriction could simply be lifted,
since this is the easiest solution to the related problems.

bzimport added a comment.Via ConduitJun 4 2007, 2:46 AM

davidcraig5 wrote:

Still broken. Did you try out the parameters Bill Clark?

gpaumier added a comment.Via ConduitDec 30 2009, 5:54 PM

AFAIK this doesn't happen any more; if the picture is too big, the thumbnail is replaced by an error message:
"Error creating thumbnail: Invalid thumbnail parameters or image file with more than 12.5 million pixels"

And there's an open bug about this specific issue ( bug 9497 ).

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:47 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:49 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.